##
##  perl-inline.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_inline        0.44
%define       V_inline_cpp    0.24
%define       V_inline_struct 0.06

#   package information
Name:         perl-inline
Summary:      Perl Modules for Inline Programming Language Embedding
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030105
Release:      20030105

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Inline/Inline-%{V_inline}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Inline/Inline-CPP-%{V_inline_cpp}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/Inline/Inline-Struct-%{V_inline_struct}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl >= 5.8.0, perl-crypto, perl-parse
PreReq:       OpenPKG, openpkg >= 20020206, perl >= 5.8.0, perl-crypto, perl-parse
AutoReq:      no
AutoReqProv:  no

%description
    Perl modules for inline programing language embedding.
    - Inline (%{V_inline})
    - Inline::CPP (%{V_inline_cpp})
    - Inline::Struct (%{V_inline_struct})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   build and install Inline module
    chmod u+w Inline-%{V_inline}/C/Makefile.PL
    %{l_shtool} subst \
        -e 's/my $default[^;]*;/my $default = "y";/' \
        Inline-%{V_inline}/C/Makefile.PL
    %{l_prefix}/bin/perl-openpkg install -d Inline-%{V_inline}

    #   build and install Inline::CPP module
    chmod u+w Inline-CPP-%{V_inline_cpp}/Makefile.PL
    %{l_shtool} subst \
        -e 's:$cc_guess);:"%{l_prefix}/bin/g++");:' \
        -e 's:$libs_guess);:"-lstdc++");:' \
        Inline-CPP-%{V_inline_cpp}/Makefile.PL
    %{l_prefix}/bin/perl-openpkg install -d Inline-CPP-%{V_inline_cpp}

    #   build and install Inline::Struct module
    %{l_prefix}/bin/perl-openpkg install -d Inline-Struct-%{V_inline_struct}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

